searchData={"items":[{"type":"module","title":"Buzzword.Bingo.Square","doc":"A square struct and functions for the _Multi-Player Buzzword Bingo_ game.\n\nThe square struct contains the fields `phrase`, `points` and `marked_by`\nrepresenting the characteristics of a square in the _Multi-Player Buzzword\nBingo_ game.\n\n###","ref":"Buzzword.Bingo.Square.html"},{"type":"module","title":"Based on the course [Multi-Player Bingo](https://pragmaticstudio.com/courses/unpacked-bingo) by Mike and Nicole Clark. - Buzzword.Bingo.Square","doc":"","ref":"Buzzword.Bingo.Square.html#module-based-on-the-course-multi-player-bingo-https-pragmaticstudio-com-courses-unpacked-bingo-by-mike-and-nicole-clark"},{"type":"function","title":"Buzzword.Bingo.Square.mark/3","doc":"Marks a virgin `square` having the given `phrase` with the given `player`.","ref":"Buzzword.Bingo.Square.html#mark/3"},{"type":"function","title":"Examples - Buzzword.Bingo.Square.mark/3","doc":"iex> alias Buzzword.Bingo.{Player, Square}\n    iex> square = Square.new(\"Bottom Line\", 375)\n    iex> arthur = Player.new(\"Arthur\", \"green_yellow\")\n    iex> Square.mark(square, \"Bottom Line\", arthur)\n    %Square{\n      phrase: \"Bottom Line\",\n      points: 375,\n      marked_by: %Player{name: \"Arthur\", color: \"green_yellow\"}\n    }\n\n    iex> alias Buzzword.Bingo.{Player, Square}\n    iex> square = Square.new(\"Big Picture\", 225)\n    iex> arnold = Player.new(\"Arnold\", \"bright_turquoise\")\n    iex> Square.mark(square, \"Best of Breed\", arnold)\n    %Square{phrase: \"Big Picture\", points: 225, marked_by: nil}\n\n    iex> alias Buzzword.Bingo.{Player, Square}\n    iex> square = Square.new(\"Best of Breed\", 525)\n    iex> joe = Player.new(\"Joe\", \"light_cyan\")\n    iex> jim = Player.new(\"Jim\", \"light_yellow\")\n    iex> square = Square.mark(square, \"Best of Breed\", joe)\n    iex> Square.mark(square, \"Best of Breed\", jim)\n    %Square{\n      phrase: \"Best of Breed\",\n      points: 525,\n      marked_by: %Player{name: \"Joe\", color: \"light_cyan\"}\n    }","ref":"Buzzword.Bingo.Square.html#mark/3-examples"},{"type":"function","title":"Buzzword.Bingo.Square.new/1","doc":"Creates a square struct from the given `buzzword`.","ref":"Buzzword.Bingo.Square.html#new/1"},{"type":"function","title":"Examples - Buzzword.Bingo.Square.new/1","doc":"iex> alias Buzzword.Bingo.Square\n    iex> Square.new({\"Bottom Line\", 375})\n    %Square{phrase: \"Bottom Line\", points: 375}\n\n    iex> alias Buzzword.Bingo.Square\n    iex> Square.new({\"Bottom Line\", 0})\n    {:error, :invalid_square_args}","ref":"Buzzword.Bingo.Square.html#new/1-examples"},{"type":"function","title":"Buzzword.Bingo.Square.new/2","doc":"Creates a square struct from the given `phrase` and `points`.","ref":"Buzzword.Bingo.Square.html#new/2"},{"type":"function","title":"Examples - Buzzword.Bingo.Square.new/2","doc":"iex> alias Buzzword.Bingo.Square\n    iex> Square.new(\"Bottom Line\", 375)\n    %Square{phrase: \"Bottom Line\", points: 375}\n\n    iex> alias Buzzword.Bingo.Square\n    iex> Square.new(\"Bottom Line\", 0)\n    {:error, :invalid_square_args}","ref":"Buzzword.Bingo.Square.html#new/2-examples"},{"type":"type","title":"Buzzword.Bingo.Square.phrase/0","doc":"Square phrase","ref":"Buzzword.Bingo.Square.html#t:phrase/0"},{"type":"type","title":"Buzzword.Bingo.Square.points/0","doc":"Square points","ref":"Buzzword.Bingo.Square.html#t:points/0"},{"type":"type","title":"Buzzword.Bingo.Square.t/0","doc":"A square struct for the Multi-Player Buzzword Bingo game","ref":"Buzzword.Bingo.Square.html#t:t/0"}],"content_type":"text/markdown"}